Subject: Re: [xdp-hints] [RFC bpf-next 00/23] XDP metadata via kfuncs for ice + mlx5

From: Larysa Zaremba <[email-masked]>
Date: Wed, 6 Sep 2023 16:09:52 +0200

On Mon, Sep 04, 2023 at 06:06:51PM +0200, Maciej Fijalkowski wrote:
> On Thu, Aug 24, 2023 at 09:26:39PM +0200, Larysa Zaremba wrote:
> > Alexei has requested an implementation of VLAN and checksum XDP hints
> > for one more driver [0].
> > 
> > This series is exactly the v5 of "XDP metadata via kfuncs for ice" [1]
> > with 2 additional patches for mlx5.
> > 
> > Firstly, there is a VLAN hint implementation. I am pretty sure this
> > one works and would not object adding it to the main series, if someone
> > from nvidia ACKs it.
> > 
> > The second patch is a checksum hint implementation and it is very rough.
> > There is logic duplication and some missing features, but I am sure it
> > captures the main points of the potential end implementation.
> > 
> > I think it is unrealistic for me to provide a fully working mlx5 checksum
> > hint implementation (complex logic, no HW), so would much rather prefer
> > not having it in my main series. My main intension with this RFC is
> > to prove proposed hints functions are suitable for non-intel HW.
> 
> I went through ice patches mostly, can you provide performance numbers for
> XDP workloads without metadata in picture? I'd like to see whether
> standard 64b traffic gets affected or not since you're modifying
> ice_rx_ring layout.

Thank you for the review, I will send the next version with performance numbers.